Subject: bug#62143: 29.0.60; Emacs crashes when selecting a menu displayed by f10 with keyboard (Apple Silicon, M1 MacBookPro)

From: Po Lu <[email-masked]>
Date: Mon, 13 Mar 2023 19:08:40 +0800

Daniel Martín <[email-masked]> writes:

> Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <[email-masked]> writes:
>
>> Robert Pluim <[email-masked]> writes:
>>
>>>>>>>> On Mon, 13 Mar 2023 08:19:39 +0800, Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:
>>>
>>>
>>>     Po Lu> What is menu_items at this point?  Could you please step to that frame
>>>     Po Lu> in lldb and type:
>>>
>>>     Po Lu>   (lldb) p menu_items
>>>
>>> (lldb) p menu_items
>>> (Lisp_Object) $25 = NULL
>>>
>>> I have a vague memory of a similar issue being reported against macOS
>>> before, but I canʼt find the bug right now.
>>
>> I was just about to say this, and alas, I can't find it either.
>
> A search for nil menu_items returns for me a reference to bug#58288.
> Are these two bugs related?

They are probably the same bug.  I can't debug because this doesn't
happen on GNUstep and I don't have access to a Mac at the moment.